footer.enf1 {
    font-family: var(--footer-font-family);
    font-size: var(--footer-font-size);
    line-height: var(--footer-line-height);
    color: var(--footer-font-color);
    margin: var(--margin-top) 0 0 0;
}

footer.enf1 > div.enf-main {
    padding: var(--footer-main-padding-top) var(--footer-inner-margin-left-right) var(--footer-main-padding-bottom);
    background: var(--footer-main-background);
}

footer.enf1 a:any-link {
    text-decoration: none;
    color: inherit;
}

footer.enf1 a:any-link:hover {
    color: var(--footer-font-color-hover);
}

footer.enf1 > div.enf-main > div.enf-main-inner {
    width: min(100%, var(--en-website-width));
    height: var(--footer-inner-height);
    margin: 0 auto;
    display: grid;
    grid-template-columns: var(--logo-width) 1fr 1.2fr var(--misc2-container-width);
    grid-template-rows: auto 1fr auto;
    column-gap: var(--footer-inner-column-gap);
    row-gap: var(--footer-inner-row-gap);
}

footer.enf1 > div.enf-main > div.enf-main > * {
    overflow: hidden;
}


footer.enf1 .enf1-logo-cont {
    grid-row: 1 / 4;
    grid-column: 1;
    position: relative;
    display: flex;
    align-items: start;
    margin-top: var(--logo-margin-top);
}

footer.enf1 .enf1-logo-cont img {
    max-width: 100%;
    max-height: 100%;
    object-fit: scale-down;
    flex-grow: 0;
    box-sizing: border-box;
}

footer.enf1 div.enf-website-name-motto {
    grid-row: 1;
    grid-column: 2 / 5;
    display: flex;
    line-height: var(--website-name-line-height);
}

footer.enf1 div.enf-website-name {
    align-self: start;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    font-family: var(--website-name-font-family);
    font-size: var(--website-name-font-size);
    color: var(--website-name-color);
    row-gap: 4px;
}

footer.enf1 div.enf-website-name br {
    display: var(--website-name-line-break-display);
}

footer.enf1 div.enf-website-motto {
    font-family: var(--website-motto-font-family);
    font-size: var(--website-motto-font-size);
    line-height: var(--website-motto-line-height);
    color: var(--website-motto-color);
}

footer.enf1 div.enf-address {
    grid-row: 2;
    grid-column: 2;
    align-self: end;
    padding: 0;
    font-family: var(--address-font-family);
    font-size: var(--address-font-size);
    color: var(--address-font-color);
}

footer.enf1 div.enf-phone {
    grid-row: 3;
    grid-column: 2;
    align-self: end;
    font-family: var(--address-font-family);
    font-size: var(--address-font-size);
    color: var(--address-font-color);
}

footer.enf1 div.enf-misc1 {
    grid-row: 2 / 4;
    grid-column: 3;
    align-self: end;
    display: flex;
    flex-direction: column;
    font-family: var(--misc-font-family);
    font-size: var(--misc-font-size);
    color: var(--misc-font-color);
    overflow: hidden;
    max-height: 100%;
    white-space: nowrap;
}

footer.enf1 div.enf-misc2 {
    box-sizing: border-box;
    height: 100%;
    grid-row: 1 / 4;
    grid-column: 4;
    align-self: end;
    font-family: var(--misc-font-family);
    font-size: var(--misc-font-size);
    color: var(--misc-font-color);
    display: flex;
    flex-direction: column;
    gap: var(--misc2-gap);
    justify-content: center;
    align-items: center;
    overflow: visible;
}

footer.enf1 div.enf-misc2 a {
    display: flex;
    width: 100%;
    justify-content: center;
}

footer.enf1 div.enf-misc2 img {
    max-width: 100%;
    max-height: 100%;
}

footer.enf1 > div.enf-subfooter {
    grid-row: 4;
    grid-column: 1 / 5;
    background: var(--subfooter-background);
    padding: var(--subfooter-padding-top) var(--subfooter-padding-left-right) var(--subfooter-padding-bottom);
    font-family: var(--subfooter-font-family);
    font-size: var(--subfooter-font-size);
    color: var(--subfooter-font-color);

}

footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner {
    margin: 0 auto;
    width: min(100%, var(--en-website-width));
    display: grid;
    grid-template-columns: 1fr var(--subfooter-centercont-width) 1fr;
    grid-template-rows: 100%;
}

footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner > * {
    overflow: hidden;
}

footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner img {
    max-width: 100%;
    max-height: 100%;
    object-fit: scale-down;
}

footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-left {
    grid-row: 1;
    grid-column: 1;
    display: flex;
    flex-direction: column;
    padding-right: var(--subfooter-leftcont-right-padding);
}

footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center {
    grid-row: 1;
    grid-column: 2;
}

footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-right {
    grid-row: 1;
    grid-column: 3;
    display: flex;
    flex-direction: column;
    align-items: end;
    padding-left: var(--subfooter-rightcont-left-padding);
}

footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-left img,
footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-right img {
    max-width: 100%;
    max-height: 100%;
    object-fit: scale-down;
}

/* OPTIONS THAT EFFECT ALL SCREEN SIZES */

footer.enf1.enf1-4-2 div.enf-misc2 {
    justify-content: flex-start;
}

footer.enf1.enf1-4-3 div.enf-misc2 {
    justify-content: flex-end;
}

footer.enf1.enf1-4-4 div.enf-misc2 {
    flex-direction: row;
    align-items: center;
}

footer.enf1.enf1-4-5 div.enf-misc2 {
    flex-direction: row;
    align-items: flex-end;
}

footer.enf1.enf1-4-6 div.enf-misc2 {
    flex-direction: row;
    align-items: flex-start;
}

footer.enf1.enf1logo-2-2 .enf1-logo-cont img {
    max-width: calc(100% - 2px);
    max-height: calc(100% - 2px);
    border: 1px solid var(--logo-border-color);
}

footer.enf1.enf1logo-2-3 .enf1-logo-cont img {
    max-width: calc(100% - 4px);
    max-height: calc(100% - 4px);
    border: 2px solid var(--logo-border-color);
}

footer.enf1.enf1logo-3-2 .enf1-logo-cont img {
    border-radius: 50%;
}

footer.enf1.enf1logo-4-2 .enf1-logo-cont {
    overflow: visible;
}

footer.enf1.enf1logo-4-2 .enf1-logo-cont img {
    box-shadow: 0 0 10px var(--logo-shadow-color);
}

footer.enf1.enf1logo-4-3 .enf1-logo-cont img {
    box-shadow: 0 0 15px var(--logo-shadow-color);
}

footer.enf1.enf1logo-4-4 .enf1-logo-cont img {
    box-shadow: 0px 10px 6px -6px var(--logo-shadow-color);
}

footer.enf1.enf1logo-4-5 .enf1-logo-cont img {
    box-shadow: 0px -10px 6px -6px var(--logo-shadow-color);
}

footer.enf1.enf1wname-1-2 div.enf-website-name-motto {
    align-self: center;
}

footer.enf1.enf1wname-1-3 div.enf-website-name-motto {
    align-self: end;
}

footer.enf1.enf1wname-2-2 div.enf-website-name {
    align-items: center;
}

footer.enf1.enf1wname-2-3 div.enf-website-name {
    align-items: flex-end;
}

footer.enf1.enf1wname-2-4 div.enf-website-name {
    flex-direction: column-reverse;
    justify-content: flex-start;
    row-gap: 0;
}

footer.enf1.enf1wname-2-5 div.enf-website-name {
    flex-direction: column-reverse;
    justify-content: flex-start;
    align-items: center;
    row-gap: 0;
}

footer.enf1.enf1wname-2-6 div.enf-website-name {
    flex-direction: column-reverse;
    justify-content: flex-start;
    align-items: flex-end;
    row-gap: 0;
}

footer.enf1.enf1wname-2-7 div.enf-website-motto {
    display: none;
}


/* OPTIONS THAT EFFECT ONLY LARGE AND MEDIUM SCREEN SIZES */

@media only screen and (min-width: 769px) {

    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: var(--logo-width) auto auto auto var(--misc2-container-width);
        grid-template-rows: 1fr auto;
    }

    footer.enf1.enf1-1-2 .enf1-logo-cont {
        grid-row: 1 / 3;
    }

    footer.enf1.enf1-1-2 div.enf-website-name-motto {
        grid-row: 1 / 3;
        grid-column: 2;
    }

    footer.enf1.enf1-1-2 div.enf-address {
        grid-row: 1;
        grid-column: 3;
    }

    footer.enf1.enf1-1-2 div.enf-phone {
        grid-row: 2;
        grid-column: 3;
    }

    footer.enf1.enf1-1-2 div.enf-misc1 {
        grid-row: 1 / 3;
        grid-column: 4;
    }

    footer.enf1.enf1-1-2 div.enf-misc2 {
        grid-row: 1 / 3;
        grid-column: 5;
    }

    footer.enf1.enf1-1-3 > div.enf-main > div.enf-main-inner {
        --remaining: calc((100% - var(--logo-width)) - 4 * var(--footer-inner-column-gap));
        grid-template-columns: calc(var(--remaining) * 0.27) calc(var(--remaining) * 0.23) var(--logo-width) 1fr var(--misc2-container-width);
        grid-template-rows: 1fr auto;
    }

    footer.enf1.enf1-1-3 .enf1-logo-cont {
        grid-row: 1 / 3;
        grid-column: 3;
     }

    footer.enf1.enf1-1-3 div.enf-website-name-motto {
        grid-row: 1;
        grid-column: 1 / 3;
        align-self: start;
    }

    footer.enf1.enf1-1-3 div.enf-address {
        grid-row: 2;
        grid-column: 1;
    }

    footer.enf1.enf1-1-3 div.enf-phone {
        grid-row: 2;
        grid-column: 2;
    }

    footer.enf1.enf1-1-3 div.enf-misc1 {
        grid-row: 1 / 3;
        grid-column: 4;
    }

    footer.enf1.enf1-1-3 div.enf-misc2 {
        grid-row: 1 / 3;
        grid-column: 5;
    }


    footer.enf1.enf1logo-1-2 .enf1-logo-cont {
        align-self: center;
    }

    footer.enf1.enf1logo-1-3 .enf1-logo-cont {
        align-self: end;
    }

    footer.enf1.enf1misc1-1-2  div.enf-misc1 {
        align-items: center;
    }

    footer.enf1.enf1misc1-1-3  div.enf-misc1 {
        align-items: end;
    }

}

@media only screen and (max-width: 768px) {

    footer.enf1 > div.enf-main > div.enf-main-inner {
        grid-template-columns: var(--logo-width) 1fr var(--misc2-container-width);
        grid-template-rows: repeat(4, auto);
    }

    footer.enf1 .enf1-logo-cont {
        grid-row: 1;
    }

    footer.enf1 div.enf-website-name-motto {
        grid-column: 2 / 4;
    }

    footer.enf1 div.enf-address {
        grid-column: 1 / 3;
    }

    footer.enf1 div.enf-phone {
        grid-column: 1 / 3;
    }

    footer.enf1 div.enf-misc1 {
        grid-row: 4;
        grid-column: 1 / 3;
    }

    footer.enf1 div.enf-misc2 {
        grid-row: 1 / 5;
        grid-column: 3;
    }

    footer.enf1.enf1 div.enf-website-name {
        align-self: start;
    }

    footer.enf1.enf1mobwname-1-2 div.enf-website-name-motto {
        grid-column: 2;
    }

    footer.enf1.enf1mobwname-2-2 div.enf-website-name {
        align-self: center;
    }

    footer.enf1.enf1mobwname-2-3 div.enf-website-name {
        align-self: end;
    }

    footer.enf1.enf1mobmisc1-1-2 div.enf-misc1 {
        align-items: center;
    }

    footer.enf1.enf1mobmisc1-1-3 div.enf-misc1 {
        align-items: end;
    }

}

@media only screen and (max-width: 600px) {

    footer.enf1.enf1mob-1-2 > div.enf-main > div.enf-main-inner {
        grid-template-columns: var(--logo-width) 1fr var(--misc2-container-width);
        grid-template-rows: repeat(5, auto);
    }

    footer.enf1.enf1mob-1-2 div.enf-website-name-motto {
        grid-row: 2;
        grid-column: 1 / 4;
    }

    footer.enf1.enf1mob-1-2 div.enf-address {
        grid-row: 3;
    }

    footer.enf1.enf1mob-1-2 div.enf-phone {
        grid-row: 4;
    }

    footer.enf1.enf1mob-1-2 div.enf-misc1 {
        grid-row: 5;
    }

    footer.enf1.enf1mob-1-2 div.enf-misc2 {
        grid-row: 3 / 6;
        grid-column: 3;
    }

    footer.enf1.enf1mob-1-2.enf1mobwname-1-2 div.enf-website-name-motto {
        grid-column: 1 / 3;
    }

    footer.enf1.enf1mob-1-2 > div.enf-subfooter > div.enf-subfooter-inner {
        grid-template-rows: auto auto;
        row-gap: 10px;
    }

    footer.enf1.enf1mob-1-2 div.enf-subfooter-inner > div.enf-subfooter-left {
        grid-row: 2;
        grid-column: 1 / 3;
    }

    footer.enf1.enf1mob-1-2 div.enf-subfooter-inner > div.enf-subfooter-center {
        align-self: end;
    }

    footer.enf1.enf1mob-1-2 div.enf-subfooter-inner > div.enf-subfooter-right {
        grid-row: 2;
        grid-column: 2 / 4;
    }


}






/* FOOTER MAIN */
#wrapper footer#enfooter2 {
    position: absolute;
    bottom: 0px;
    width: 100%;
  }
/* FOOTER MAIN */
footer.enf1>div.enf-main {
    position: relative;
    background: #323b60;
}


footer.enf1.enf1-1-2>div.enf-main>div.enf-main-inner {
    grid-template-columns: 1fr var(--logo-width) 249px 239px;
    grid-template-rows: 160px;
    position: relative;
}

footer.enf1.enf1-1-2 div.enf-website-name-motto {
    grid-row: 1;
    grid-column: 1;
    align-self: flex-start;
    padding: 30px 0px 0px 0px;
  }

  footer.enf1 div.enf-website-name{
    flex-direction: column-reverse !important;
    font-weight: 700;
  }
.footer-name{
    margin: 1px 0px 0px -2px;
    letter-spacing: 0.4px;
}

.footer-name span{
    letter-spacing: 0.5px;
}
  footer.enf1 div.enf-website-motto{
    letter-spacing: -0.2px;
    margin: 0px 0px 0px -1px;
  }

.address-box{
    position: relative;
    grid-column: 3;
    grid-row: 1;
    padding: 24px 0px 0px 53px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 5px;
}
footer.enf1.enf1-1-2 div.enf-misc2 {
    grid-row: 1;
    grid-column: 4;
    justify-content: center;
    padding: 0px 0px 3px 0px;
  }

  footer.enf1.enf1-1-2 div.enf-address, footer.enf1.enf1-1-2 div.enf-phone {
    line-height: 26px;
    letter-spacing: 0.4px;
    font-weight: 500;
    align-self: flex-start;
  }


  footer.enf1.enf1-1-2 div.enf-phone span{
    margin: 0px 0px 0px 3px;
  }

footer.enf1.enf1-1-2 .enf1-logo-cont{
    margin: 0px 0px 2px 0px;
    grid-column: 2;
    grid-row: 1;
    align-self: flex-end;
    align-items: center;
    z-index: 9;
  }

 .link-page footer.enf1.enf1-1-2 .enf1-logo-cont{
    margin: 0px 0px 6px 0px;
  }
  footer.enf1.enf1-1-2 .enf1-logo-cont a{
    display: block;
  }
  footer.enf1.enf1-1-2 .enf1-logo-cont img{
    box-shadow: none;
    border-radius: 0px;
  }

/* FOOTER LINKS */

.enf-misc1-cntainer{
    position: relative;
    background: #e0e2e7;
}

footer.enf1.enf1-1-2 div.enf-misc1{
    max-width: 1200px;
    margin: 0px auto;
    flex-direction: row !important;
    flex-wrap: wrap;
    column-gap: 65px;
    row-gap: 5px;
    justify-content: center;
    align-items: center;
    padding: 13.5px 0px 13.5px 0px;
    box-sizing: border-box;
}

footer.enf1.enf1-1-2 div.enf-misc1 a{
    padding: 0px 0px 0px 22px;
    line-height: 1;
    display: block;
    letter-spacing: 1.05px;
    font-weight: 500;
    position: relative;
}
footer.enf1.enf1-1-2 div.enf-misc1 a:nth-child(2){
    padding: 0px 0px 0px 22.5px;
}
footer.enf1.enf1-1-2 div.enf-misc1 a:last-child{
    margin: 0px 0px 0px -4px;
  padding: 0px 0px 0px 21px;
}
footer.enf1.enf1-1-2 div.enf-misc1 a::before{
    content: "";
    position: absolute;
    width: 12px;
    height: 11px;
    background: url("/pics/paws.png") no-repeat center;
    top: 50%;
    transform: translateY(-50%);
    left: 0px;
    margin: -2px 0px 0px 0px;
    z-index: 1;
}

footer.enf1.enf1-1-2 div.enf-misc1 a:hover,
footer.enf1.enf1-1-2 div.enf-misc1 a:focus{
   color: #161c2c !important;
   text-decoration: underline;
}
footer.enf1.enf1-1-2 div.enf-misc1 a:hover::before,
footer.enf1.enf1-1-2 div.enf-misc1 a:focus::before{
    background: url("/pics/red-paws.png") no-repeat center;
}

/* FOOTER BOTTOM */
footer.enf1 > div.enf-subfooter{
    position: relative;
 }
 footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner{
     padding: 7px 0px 8px 0px;
     grid-template-columns: auto;
     position: relative;
   }
   footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center {
     grid-row: 1;
     grid-column: 1;
     display: flex;
     justify-content: center;
   }
 footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center a{
    display: flex;
    width: clamp(150px,181vw/12.6, 181px);
    position: relative;
    left: -1px;
    line-height: 1;
 }
 footer.enf1 div.enf-subfooter-inner > div.enf-subfooter-center a img{
     width: 100%;
 }



 @media only screen and (max-width: 1260px){
    footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner{
        grid-template-columns: 1fr var(--logo-width) clamp(175px,249vw/12.6,249px) clamp(175px,239vw/12.6,239px);
        grid-template-rows: clamp(105px,160vw/12.6,160px);
        padding: 0px 20px;
        box-sizing: border-box;
      }

      footer.enf1.enf1-1-2 div.enf-website-name-motto{
        align-self: center;
        padding: 0px 0px 0px 0px;
      }

      .address-box{
        padding: 0px 0px 0px clamp(10px,30vw/12.6,30px);
        justify-content: center;
        align-items: center;
      }

      footer.enf1.enf1-1-2 div.enf-misc2{
        padding: 0px 0px 0px 0px;
      }

      footer.enf1.enf1-1-2 div.enf-address, footer.enf1.enf1-1-2 div.enf-phone {
        line-height: clamp(20px,26vw/12.6,26px);
    }

    footer.enf1.enf1-1-2 div.enf-misc1{
        column-gap: clamp(25px,65vw/12.6,65px);
    }

    footer.enf1.enf1-1-2 div.enf-misc1{
        padding: 13.5px 20px 13.5px 20px;
        box-sizing: border-box;
    }
    }


    @media only screen and (max-width: 768px){
        footer.enf1.enf1-1-2 > div.enf-main > div.enf-main-inner{
            grid-template-columns: 1fr;
            grid-template-rows: auto auto;
            padding: 15px 15px 15px 15px;
            box-sizing: border-box;
            gap: clamp(10px,1.95vw,15px);
          }

          footer.enf1.enf1-1-2 .enf1-logo-cont{
            grid-column: 1;
            grid-row: 1;
            align-self: center;
            margin: 0px auto;
            width: clamp(100px,135vw/7.68,135px);
          }

          .link-page footer.enf1.enf1-1-2 .enf1-logo-cont{
            margin: 0px auto;
          }

          footer.enf1.enf1-1-2 div.enf-website-name-motto {
            align-self: center;
            padding: 0px 0px 0px 0px;
            grid-row: 2;
            grid-column: 1;
            justify-content: center;
            text-align: center;
          }

          .address-box{
            grid-column: 1;
            grid-row: 3;
            flex-direction: row;
            gap: 25px;
          }

          footer.enf1.enf1-1-2 div.enf-misc2 {
            padding: 0px 0px 0px 0px;
            grid-row: 4;
            grid-column: 1;
            width: clamp(150px,200vw/12.6,200px);
            margin: 0px auto;
          }

          footer.enf1.enf1-1-2 div.enf-address, footer.enf1.enf1-1-2 div.enf-phone {
            line-height: clamp(20px,24vw/12.6,24px);
          }

          footer.enf1.enf1-1-2 div.enf-misc1 a{
            letter-spacing: 0.75px;
          }

          footer.enf1.enf1-1-2 div.enf-misc1 {
            padding: 10px 15px 10px 15px;
            box-sizing: border-box;
            max-width: 300px;
            justify-content: flex-start;
            align-items: flex-start;
          }

          footer.enf1.enf1-1-2 div.enf-misc1 a{
            padding: 0px 0px 0px 22px !important;
            margin: 0px !important;
          }

          footer.enf1 > div.enf-subfooter > div.enf-subfooter-inner {
            grid-template-rows: auto !important;
            row-gap: 0px !important;
            padding: 10px 0px 10px 0px;
          }
    
    }